Bug 23557 - Advise support of all options for SPS/PPS in ISO BMFF
Summary: Advise support of all options for SPS/PPS in ISO BMFF
Status: RESOLVED FIXED
Alias: None
Product: HTML WG
Classification: Unclassified
Component: Media Source Extensions (show other bugs)
Version: unspecified
Hardware: PC All
: P2 normal
Target Milestone: LC
Assignee: Aaron Colwell
QA Contact: HTML WG Bugzilla archive list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-18 00:20 UTC by Mark Watson
Modified: 2013-10-29 22:09 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Watson 2013-10-18 00:20:05 UTC
Section 12.2.1 has a note indicating that for "maximum interoperability" UAs are strongly advised to support the avc3/avc4 method in which SPS/PPS are included in band.

Logically, for truely "maximum" interoperability, UA should support both methods and we should advise this.

Replace: "For maximum content interoperability user agents are strongly advised to support avc3/avc4."

With: "For maximum content interoperability, user agents are strongly advised to support both avc1/avc2 and avc3/avc4."
Comment 1 Aaron Colwell 2013-10-18 20:10:26 UTC
Is avc4 the inline version of avc2? If so then I think we should remove the avc4 reference instead of adding avc2. It was never my intent to allow layered coding as the minimum bar for MP4 support.
Comment 2 Mark Watson 2013-10-22 15:47:52 UTC
There are two orthogonal issues:

(1) supported positions of the SPS/PPS
(2) support for Aggregators and Extractor pseudo-NAL units

For (1) we are talking about whether the note should include avc1/avc2 as well as avc3/avc4. My original proposal is to include both options in the note.

For (2) we are talking about whether we should mention avc2 and avc4 at all.

I think the original intention is that we do not say anything about (2), but the text in the note inadvertantly 'recommends's support of avc4,

We could address my comment and retain 'no comment' on (2) by re-wording the note as follows:

"For maximum content interoperability, user agents are strongly advised to support both locations for storage of the SPS and PPS."
Comment 3 Aaron Colwell 2013-10-29 00:09:37 UTC
CC'ing Chris Poole so he can comment. He was the one pushing for the original text.
Comment 4 Aaron Colwell 2013-10-29 00:12:33 UTC
(In reply to Mark Watson from comment #2)
> We could address my comment and retain 'no comment' on (2) by re-wording the
> note as follows:
> 
> "For maximum content interoperability, user agents are strongly advised to
> support both locations for storage of the SPS and PPS."

I support this wording or with this minor edit. 

s/both locations for/inband and out-of-band/
Comment 5 Chris Poole (BBC) 2013-10-29 12:02:57 UTC
I'm happy with that change.  I'd perhaps suggest leaving the word both in there so that it reads:

"For maximum content interoperability, user agents are strongly advised to support both inband and out-of-band storage of the SPS and PPS."
Comment 6 Mark Watson 2013-10-29 14:40:38 UTC
Works for me.
Comment 7 Aaron Colwell 2013-10-29 14:45:09 UTC
Wonderful. Thank you both. :) I'll land the change later today.
Comment 8 Aaron Colwell 2013-10-29 22:09:09 UTC
Change committed
https://dvcs.w3.org/hg/html-media/rev/15e7e8f7eecd